Bug#601553: libnet-nationalrail-livedepartureboards-perl: SOAP API not stable

Tim Retout diocles at debian.org
Wed Oct 27 08:47:26 UTC 2010

Package: libnet-nationalrail-livedepartureboards-perl
Version: 0.02-1
Severity: serious
Justification: maintainer's opinion

A notice has recently appeared on the API documentation web page:

"With affect from Tuesday the 23rd of November, National Rail
Enquiries will be introducing tokens in to SOAP header of the Darwin
Webservice for licenced users of the system. For more information on
licencing and obtaining a token, please contact nrelicensing at atoc.org"

 -- http://www.livedepartureboards.co.uk/ldbws/

This suggests that the Perl module will break after that date.  Even
if I obtain an API token, which is currently looking unlikely, I will
have to make a new upstream release to support it.  It could be argued
that the package should be moved to 'contrib' at that point, but I
don't have a firm opinion yet.

Anyway, I don't want this in a stable release.


More information about the pkg-perl-maintainers mailing list